<?php
/**
 * The template for displaying comments.
 */
if ( post_password_required() )
	return;
?>
<div id="comments" class="comments-area">
	<?php
	if ( have_comments() ) : ?>
	<h2 class="comments-title">
		<?php
				$comments_number = get_comments_number();
				if ( '1' === $comments_number ) {
					printf( _x( '1 Comment', 'comments title', 'charvi' ), get_the_title() );
				} else {
					printf(
						_nx(
							'%1$s Comment',
							'%1$s Comments',
							$comments_number,
							'comments title',
							'charvi'
						),
						number_format_i18n( $comments_number ),
						get_the_title()
					);
				}
			?>
	</h2>
	<ul class="comment-list">
		<?php
				wp_list_comments( array(
					'avatar_size' => 100,
					'style'       => 'ul',
					'short_ping'  => true,
					'callback'    => 'charvi_comment',
				) );
			?>
	</ul>
	<?php
	endif; 	
// comments pagination	
 if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
	<nav class="dtr-post-navigation  dtr-comment-nav clearfix">
		<ul class="dtr-post-nav clearfix">
			<li class="dtr-previous-link">
				<?php $prev_text = esc_html__( 'Previous Comments', 'charvi' ); ?>
				<?php previous_comments_link( '<h5><span class="dtr-prev"> ' . $prev_text . '</span></h5>' ); ?>
			</li>
			<li class="dtr-next-link">
				<?php $next_text = esc_html__( 'Next Comments', 'charvi' ); ?>
				<?php next_comments_link( '<h5><span class="dtr-next">' . $next_text . ' </span></h5>' ); ?>
			</li>
		</ul>
	</nav>
	<?php endif; 
	// Closed comments
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
	<p class="no-comments">
		<?php _e( 'Comments are closed.', 'charvi' ); ?>
	</p>
	<?php
	endif;
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );
	$form_name = esc_html__( 'Name*', 'charvi' );
	$form_email = esc_html__( 'Email*', 'charvi' );
	$form_website = esc_html__( 'Website (if any)', 'charvi' );
	$form_comment = esc_html__( 'Comment here', 'charvi' );
	$fields =  array(
		'author' =>
		'<p class="comment-form-author"><label for="author">' . esc_html__( 'Name*', 'charvi' ) . '</label> ' .
		'<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
		'" size="30"' . $aria_req . ' placeholder="' . $form_name . '"/></p>',
    	'email' =>
		'<p class="comment-form-email"><label for="email">' . esc_html__( 'Email*', 'charvi' ) . '</label> ' .
		'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
		'" size="30"' . $aria_req . ' placeholder="' . $form_email . '"/></p>',
		'url' =>
		'<p class="comment-form-url"><label for="url">' . esc_html__( 'Website', 'charvi' ) . '</label>' .
		'<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .
		'" size="30" placeholder="' . $form_website . '"/></p><div class="clearfix"></div>',
	);
	$comments_args = array(
		'fields' => $fields,
				'title_reply'       => esc_html__( 'Leave a Comment', 'charvi' ),
				'label_submit' => esc_html__('Submit','charvi'),
				'comment_field' =>  '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun', 'charvi' ) .
		'</label><textarea id="comment" name="comment" cols="45" rows="6" aria-required="true" placeholder="' . $form_comment . '">' .
		'</textarea></p>',
		);
	comment_form( $comments_args );
	?>
</div>
<!-- comment form -->