<?php
/**
 * The template for displaying the footer
 */
 // share band
if ( charvi_can_use_plugin( 'dtr-charvi-core/dtr-charvi-core.php' ) ) {
	charvi_social_band_hook(); 
}
if ( 'show' == get_theme_mod( 'charvi_enable_mobile_scroll_top', 'hide' ) ) {
	$charvi_mobile_take_top	= '';
} else { 
	$charvi_mobile_take_top	= ' hidden-xs'; 
}
if (  'show' == get_theme_mod( 'charvi_footer_enable', 'show' ) ) :
	if ( 'show' == get_theme_mod( 'charvi_copyright_enable', 'show' ) || is_active_sidebar( 'widget-copyright' ) || is_active_sidebar( 'widget-footer-full' ) || is_active_sidebar( 'footer-column-1' ) || is_active_sidebar( 'footer-column-2' ) || is_active_sidebar( 'footer-column-3' ) || is_active_sidebar( 'footer-column-4' ) ) { ?>
<footer id="dtr-footer-section" class="clearfix" <?php charvi_schema_markup( 'footer' ); ?>>
	<div class="dtr-container">
		<?php if (  'show' == get_theme_mod( 'charvi_footer_columns_enable', 'show' ) ) { ?>
		<div class="row">
			<?php
		// get footer columns
		if ( get_theme_mod( 'charvi_footer_columns', '3' ) ) { 
			$footer_columns = get_theme_mod( 'charvi_footer_columns', '3' ); 
		} else { 
			$footer_columns = '3'; 
		}
		
		if( $footer_columns == '1' ){
			$footer_columns_class = 'col-md-12 col-sm-12 col-xs-12 ';
			$footer_column_col1 = '';
			$footer_column_col2 = '';
		} elseif( $footer_columns == '2' ){
			$footer_columns_class = 'col-md-6 col-sm-6 col-xs-12 ';
			$footer_column_col1 = '';
			$footer_column_col2 = '';
		} elseif( $footer_columns == '3' ){
			$footer_columns_class = 'col-md-4 col-sm-4 col-xs-12 ';
			$footer_column_col1 = '';
			$footer_column_col2 = '';
		} elseif( $footer_columns == '4' ){
			$footer_columns_class = 'col-md-3 col-sm-3 col-xs-12 ';
			$footer_column_col1 = '';
			$footer_column_col2 = '';
		} elseif( $footer_columns == '5' ){
			$footer_columns_class = '';
			$footer_column_col1 = 'col-md-3 col-sm-3 col-xs-12 ';
			$footer_column_col2 = 'col-md-6 col-sm-6 col-xs-12 ';
		} elseif( $footer_columns == '6' ){
			$footer_columns_class = '';
			$footer_column_col1 = 'col-md-3 col-sm-3 col-xs-12 ';
			$footer_column_col2 = 'col-md-9 col-sm-9 col-xs-12 ';
		} else {
			$footer_columns_class = 'col-md-12 col-sm-12 col-xs-12 ';
		}
		?>
			<?php if( is_active_sidebar( 'footer-column-1' ) && $footer_columns == '1' || $footer_columns == '2' || $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' || $footer_columns == '6' ) { ?>
			<div class="<?php echo esc_attr( $footer_columns_class );?><?php echo esc_attr( $footer_column_col1 );?>">
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-1') ) ?>
			</div>
			<?php } // widgets area 1 ?>
			<?php if( is_active_sidebar( 'footer-column-2' ) && $footer_columns == '2' || $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' || $footer_columns == '6' ) { ?>
			<div class="<?php echo esc_attr( $footer_columns_class );?><?php echo esc_attr( $footer_column_col2 );?>">
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-2') ) ?>
			</div>
			<?php } // widgets area 2 ?>
			<?php if( is_active_sidebar( 'footer-column-3' ) && $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' ) { ?>
			<div class="<?php echo esc_attr( $footer_columns_class );?><?php echo esc_attr( $footer_column_col1 );?>">
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-3') ) ?>
			</div>
			<?php } // widgets area 3 ?>
			<?php if( is_active_sidebar( 'footer-column-4' ) && $footer_columns == '4' ) { ?>
			<div class="<?php echo esc_attr( $footer_columns_class );?>">
				<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('footer-column-4') ) ?>
			</div>
			<?php } // widgets area 4 ?>
		</div>
		<?php } // charvi_footer_columns_enable ?>
	</div>
	<?php if (  'show' == get_theme_mod( 'charvi_footerfull_enable', 'show' ) ) { ?>
	<div class="dtr-footer-full row">
		<?php if ( is_active_sidebar( 'widget-footer-full' ) ) { ?>
		<?php dynamic_sidebar( 'widget-footer-full' ); ?>
		<?php } ?>
	</div>
	<!-- .dtr-footer-full -->
	<?php } ?>
	<?php if ( 'show' == get_theme_mod( 'charvi_copyright_enable', 'show' ) ) { ?>
	<div class="dtr-copyright clearfix">
		<div class="dtr-container">
			<?php if ( 'show' == get_theme_mod( 'charvi_copyright_menu_enable', 'show' ) ) { ?>
			<?php if( has_nav_menu( 'copyright_menu' ) ) {
				wp_nav_menu( array( 
					'theme_location'  	=> 'copyright_menu',
					'container'       	=> '',
					'container_class'	=> '',
					'container_id'   	=> '',
					'menu_class'      	=> 'dtr-copyright-menu',
					'menu_id'         	=> '',
					'depth'           	=> 1,
					) 
				); 
			} } ?>
			<?php if ( is_active_sidebar( 'widget-copyright' ) ) { dynamic_sidebar( 'widget-copyright' ); } ?>
		</div>
	</div>
	<?php } ?>
</footer>
<!-- #dtr-footer-section -->
<?php } ?>
<?php endif; ?>
<?php if ( 'show' == get_theme_mod( 'charvi_enable_scroll_top', 'show' ) ) { ?>
<a id="take-to-top" href="#" class="dtr-take-top<?php echo esc_attr( $charvi_mobile_take_top ); ?>"></a>
<?php } ?>
</div>
<!-- #dtr-wrapper -->
<?php wp_footer(); ?>
</body></html>