<?php
// General section fields
// content section background
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'background',
	'settings'    => 'charvi_site_background',
	'label'       => esc_html__( 'Content Background', 'charvi' ),
	'section'     => 'charvi_section_general_content',
    'default'     => array(
            'background-color'	=> '#ffffff',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> '',
     ),
	'priority'    => 10,
	'output'    => array(
		array(
			'element'  => '#dtr-wrapper',
		),
	),
	'transport'   => 'auto',				  
					  
) );

// page layout
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_page_layout',
	'label'       => esc_html__( 'Global Page Layout Style', 'charvi' ),
	'description' => esc_html__( 'Can be override individually for page.', 'charvi' ),
	'section'     => 'charvi_section_pages',
	'default'     => 'dtr-fullwidth',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-fullwidth' 	=> esc_html__('No Sidebar', 'charvi'),
		'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'charvi'),
		'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'charvi'),
	),
) );

// page title
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_page_title',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'charvi' ),
	'section'		 => 'charvi_section_pages',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// page heading
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_page_heading',
	'label'       	 => esc_html__( 'Page Title', 'charvi' ),
	'section'		 => 'charvi_section_pages',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// breadcrumb
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_page_breadcrumb',
	'label'       	 => esc_html__( 'Breadcrumb', 'charvi' ),
	'section'		 => 'charvi_section_pages',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// page comments
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'checkbox',
	'settings'    => 'charvi_enable_page_comments',
	'label'       => esc_html__( 'Comments on pages', 'charvi' ),
	'section'	  => 'charvi_section_pages',
	'default'     => '1',
	'priority'    => 10,
) );


// responsive
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'checkbox',
	'settings'    => 'charvi_enable_responsive',
	'label'       => esc_html__( 'Responsiveness', 'charvi' ),
	'section'     => 'charvi_section_responsive',
	'default'     => '1',
	'priority'    => 10,
) );

// header code
charvi_Kirki::add_field( 'charvi_config', array(
	'type'     => 'textarea',
	'settings' => 'charvi_header_code',
	'label'    => __( 'Code in Header', 'charvi' ),
	'section'  => 'charvi_section_header_code',
	'priority' => 10,
) );

// schema
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'checkbox',
	'settings'    => 'charvi_enable_schema_markup',
	'label'       => esc_html__( 'Enable Schema Markup', 'charvi' ),
	'section'     => 'charvi_section_seo',
	'default'     => '1',
	'priority'    => 10,
) );

// scroll top
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_scroll_top',
	'label'       	 => esc_html__( 'Scroll To Top', 'charvi' ),
	'section'		 => 'charvi_section_scroll_top',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// scroll top background
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_scroll_top_bg_color',
	'label'			 => esc_html__( 'Background Color', 'charvi' ),
	'section'		 => 'charvi_section_scroll_top',
	'priority'		 => 10,
	'default'        => '#c54262',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// take top on mobile
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_enable_mobile_scroll_top',
	'label'       	 => esc_html__( 'Scroll To Top on Mobile', 'charvi' ),
	'section'		 => 'charvi_section_scroll_top',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// social_share_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_social_share_band_enable',
	'label'       	 => esc_html__('Social Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// twitter_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_twitter_band_enable',
	'label'       	 =>  esc_html__('Twitter in Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// twitter_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_twitter_link_text',
	'label'			 => esc_html__( 'Twitter link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Tweet On Twitter', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_twitter_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_twitter_link_text' => array(
			'selector'        => '.dtr-twitter-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_twitter_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// twitter_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_twitter_link_text',
	'label'			 => esc_html__( 'Twitter link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Tweet On Twitter', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_twitter_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// twitter_link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_twitter_link',
	'label'			 => esc_html__( 'Twitter link URL', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_twitter_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// pinterest_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_pinterest_band_enable',
	'label'       	 =>  esc_html__('Pinterest in Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// pinterest_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_pinterest_link_text',
	'label'			 => esc_html__( 'Pinterest link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Tweet On Twitter', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_pinterest_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// pinterest_link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_pinterest_link',
	'label'			 => esc_html__( 'Pinterest link URL', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_pinterest_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// facebook_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_facebook_band_enable',
	'label'       	 =>  esc_html__('Facebook in Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// facebook_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_facebook_link_text',
	'label'			 => esc_html__( 'Facebook link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Like On Facebook', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_facebook_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_facebook_link_text' => array(
			'selector'        => '.dtr-facebook-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_facebook_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// facebook_link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_facebook_link',
	'label'			 => esc_html__( 'Facebook link URL', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_facebook_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// googleplus_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_googleplus_band_enable',
	'label'       	 =>  esc_html__('Googleplus in Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// googleplus_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_googleplus_link_text',
	'label'			 => esc_html__( 'Googleplus link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Like On Facebook', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_googleplus_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_googleplus_link_text' => array(
			'selector'        => '.dtr-googleplus-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_googleplus_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// googleplus_link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_googleplus_link',
	'label'			 => esc_html__( 'Googleplus link URL', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_googleplus_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// linkedin_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_linkedin_band_enable',
	'label'       	 =>  esc_html__('Linkedin in Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// linkedin_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_linkedin_link_text',
	'label'			 => esc_html__( 'Linkedin link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Like On Facebook', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_linkedin_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_linkedin_link_text' => array(
			'selector'        => '.dtr-linkedin-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_linkedin_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// linkedin_link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_linkedin_link',
	'label'			 => esc_html__( 'Linkedin link URL', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_linkedin_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// youtube_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_youtube_band_enable',
	'label'       	 =>  esc_html__('Youtube in Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// youtube_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_youtube_link_text',
	'label'			 => esc_html__( 'Youtube link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Watch On youtube', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_youtube_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_youtube_link_text' => array(
			'selector'        => '.dtr-youtube-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_youtube_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// youtube_link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_youtube_link',
	'label'			 => esc_html__( 'Youtube link URL', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_youtube_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// soundcloud_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_soundcloud_band_enable',
	'label'       	 =>  esc_html__('Soundcloud in Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// soundcloud_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_soundcloud_link_text',
	'label'			 => esc_html__( 'Soundcloud link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Listen On Soundcloud', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_soundcloud_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_soundcloud_link_text' => array(
			'selector'        => '.dtr-soundcloud-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_soundcloud_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// soundcloud_link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_soundcloud_link',
	'label'			 => esc_html__( 'Soundcloud link URL', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_soundcloud_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// instagram_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_instagram_band_enable',
	'label'       	 =>  esc_html__('Instagram in Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// instagram_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_instagram_link_text',
	'label'			 => esc_html__( 'Instagram link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Listen On Soundcloud', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_instagram_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_instagram_link_text' => array(
			'selector'        => '.dtr-instagram-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_instagram_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// instagram_link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_instagram_link',
	'label'			 => esc_html__( 'Instagram link URL', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_instagram_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// vimeo_band_enable
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'radio',
	'settings'		 => 'charvi_vimeo_band_enable',
	'label'       	 =>  esc_html__('Vimeo in Share Band', 'charvi'),
	'section'		 => 'charvi_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'charvi' ),
		'hide'	 => esc_html__( 'Hide', 'charvi' ),
	),
) );

// vimeo_link_text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_vimeo_link_text',
	'label'			 => esc_html__( 'Vimeo link text', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Watch On Vimeo', 'charvi' ),
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_vimeo_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'charvi_vimeo_link_text' => array(
			'selector'        => '.dtr-vimeo-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'charvi_vimeo_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// vimeo_link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'text',
	'settings'		 => 'charvi_vimeo_link',
	'label'			 => esc_html__( 'Vimeo link URL', 'charvi' ),
	'section'		 => 'charvi_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'charvi_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'charvi_vimeo_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );