<?php
/**
 * Template for displaying header v1
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}  
if ( 'show' == get_theme_mod( 'charvi_mobile_header_r1_enable', 'hide' ) ) {
	$charvi_mobile_header_widget_area	= '';
} else { 
	$charvi_mobile_header_widget_area	= ' hidden-xs'; 
}
if ( 'show' == get_theme_mod( 'charvi_mobile_header_search_enable', 'hide' ) ) {
	$charvi_mobile_header_search_enable_return	= '';
} else { 
	$charvi_mobile_header_search_enable_return	= ' hidden-xs'; 
}
if ( 'show' == get_theme_mod( 'charvi_mobile_header_w3_enable', 'hide' ) ) {
	$charvi_mobile_header_w3_enable_return	= '';
} else { 
	$charvi_mobile_header_w3_enable_return	= ' hidden-xs'; 
}
$menu_color_style = get_theme_mod( 'charvi_main_menu_color_style', '' );
if ( '' == get_theme_mod( 'charvi_main_menu_color_style', '' ) ) {
	$return_menu_color_style	= 'dtr-menu-default';
} else { 
	$return_menu_color_style	= $menu_color_style;
}
?>
<?php if ( 'show' == get_theme_mod( 'charvi_header_r1_enable', 'show' ) && is_active_sidebar( 'widget-header-one' ) || is_active_sidebar( 'widget-header-two' ) ) { ?>
<div class="dtr-header-row-one clearfix<?php echo esc_attr( $charvi_mobile_header_widget_area); ?>">
	<div class="dtr-container">
		<?php if ( is_active_sidebar( 'widget-header-one' ) &&  'show' == get_theme_mod( 'charvi_header_widget_area_one_enable', 'show' ) ) { ?>
		<div class="dtr-header-left">
			<?php if ( is_active_sidebar( 'widget-header-one' ) ) { ?>
			<div class="dtr-header-widget dtr-header-widget-one">
				<?php dynamic_sidebar( 'widget-header-one' ); ?>
			</div>
			<?php } ?>
		</div>
		<?php } ?>
		<?php if ( is_active_sidebar( 'widget-header-two' ) && 'show' == get_theme_mod( 'charvi_header_widget_area_two_enable', 'show' ) ) { ?>
		<div class="dtr-header-right dtr-header-widget dtr-header-widget-two">
			<?php dynamic_sidebar( 'widget-header-two' ); ?>
		</div>
		<?php } ?>
	</div>
</div>
<?php } ?>
<?php if ( 'show' == get_theme_mod( 'charvi_header_r2_enable', 'show' ) ) { ?>
<div class="dtr-header-row-two clearfix">
	<div class="dtr-container">
		<div class="dtr-header-row-two-inner clearfix">
			<?php if ( is_active_sidebar( 'widget-header-three' ) && 'show' == get_theme_mod( 'charvi_header_widget_area_three_enable', 'hide' ) ) { ?>
			<div class="dtr-header-r2-left dtr-header-widget dtr-header-widget-three<?php echo esc_attr( $charvi_mobile_header_w3_enable_return ); ?>">
				<?php dynamic_sidebar( 'widget-header-three' ); ?>
			</div>
			<?php } ?>
			<?php get_template_part( '/template-parts/header/logo' ); ?>
			<?php if ( 'show' == get_theme_mod( 'charvi_header_search_enable', 'hide' ) ) { ?>
			<div class="dtr-header-r2-right"><a href="#dtr-search-modal" role="button" class="dtr-search-modal-trigger<?php echo esc_attr( $charvi_mobile_header_search_enable_return); ?>" data-toggle="modal"></a> </div>
			<?php } ?>
		</div>
	</div>
</div>
<?php } ?>
<?php if ( 'show' == get_theme_mod( 'charvi_header_menubar_enable', 'show' ) ) { ?>
<div class="dtr-menubar-row clearfix">
	<div class="dtr-container">
		<div class="main-navigation <?php echo esc_attr( $return_menu_color_style ); ?> <?php echo get_theme_mod( 'charvi_menubar_align', 'text-center' ) ?>" <?php charvi_schema_markup( 'site_navigation' ); ?>>
			<?php get_template_part( '/template-parts/header/main-menu' ); ?>
		</div>
		<div id="responsive-menu"></div>
	</div>
</div>
<?php } ?>
<?php if (  'show' == get_theme_mod( 'charvi_header_r2_enable', 'show' ) && 'show' == get_theme_mod( 'charvi_header_search_enable', 'hide' ) ) { 
	get_template_part( '/template-parts/header/search-modal' ); 
	} ?>