<?php
/**
 * Template for displaying header v2
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}  
if ( 'show' == get_theme_mod( 'charvi_mobile_header_r1_enable', 'hide' ) ) {
	$charvi_mobile_header_widget_area	= '';
} else { 
	$charvi_mobile_header_widget_area	= ' hidden-xs'; 
}
$menu_color_style = get_theme_mod( 'charvi_main_menu_color_style', '' );
if ( '' == get_theme_mod( 'charvi_main_menu_color_style', '' ) ) {
	$return_menu_color_style	= 'dtr-menu-alt';
} else { 
	$return_menu_color_style	= $menu_color_style;
}
?>
<?php if ( 'show' == get_theme_mod( 'charvi_header_r1_enable', 'show' ) && is_active_sidebar( 'widget-header-one' ) || is_active_sidebar( 'widget-header-two' ) || 'show' == get_theme_mod( 'charvi_header_search_enable', 'show' ) ) { ?>
<div class="dtr-header-row-one clearfix<?php echo esc_attr( $charvi_mobile_header_widget_area); ?>">
	<div class="dtr-container clearfix">
		<?php if ( is_active_sidebar( 'widget-header-one' ) &&  'show' == get_theme_mod( 'charvi_header_widget_area_one_enable', 'show' ) ) { ?>
		<div class="dtr-header-left">
			<?php if ( is_active_sidebar( 'widget-header-one' ) ) { ?>
			<div class="dtr-header-widget dtr-header-widget-one">
				<?php dynamic_sidebar( 'widget-header-one' ); ?>
			</div>
			<?php } ?>
		</div>
		<?php } ?>
		<?php if ( 'show' == get_theme_mod( 'charvi_header_search_enable', 'hide' ) ) { ?>
		<a href="#dtr-search-modal" role="button" class="dtr-search-modal-trigger" data-toggle="modal"></a>
		<?php } ?>
		<?php if ( is_active_sidebar( 'widget-header-two' ) && 'show' == get_theme_mod( 'charvi_header_widget_area_two_enable', 'show' ) ) { ?>
		<div class="dtr-header-right dtr-header-widget dtr-header-widget-two">
			<?php dynamic_sidebar( 'widget-header-two' ); ?>
		</div>
		<?php } ?>
	</div>
</div>
<?php } ?>
<?php if ( 'show' == get_theme_mod( 'charvi_header_r2_enable', 'show' ) ) { ?>
<div class="dtr-header-row-two clearfix">
	<div class="dtr-container">
		<div class="dtr-header-row-two-inner clearfix">
			<?php get_template_part( '/template-parts/header/logo' ); ?>
			<div class="main-navigation text-right <?php echo esc_attr( $return_menu_color_style ); ?>" <?php charvi_schema_markup( 'site_navigation' ); ?>>
				<?php get_template_part( '/template-parts/header/main-menu' ); ?>
			</div>
			
		</div>
	</div>
	<div id="responsive-menu-wrapper"><div class="dtr-container"><div id="responsive-menu"></div></div></div>
</div>
<?php } ?>
<?php if ( 'show' == get_theme_mod( 'charvi_header_search_enable', 'hide' ) ) { 
	get_template_part( '/template-parts/header/search-modal' ); 
	} ?>