<?php
/**
 * Template for displaying single post content - link post format
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 
$pf_link_text	= get_post_meta( get_the_ID(), '_charvi_pf_link_text', true );
$pf_link_url 	= get_post_meta( get_the_ID(), '_charvi_pf_link_url', true );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php charvi_schema_markup( 'blog_post' ); ?> >
	<div class="dtr-post-content-wrapper">
		<?php if ( ! post_password_required() ) :  ?>
		<?php if ( $pf_link_text != '' || $pf_link_url != '' ) { ?>
		<div class="dtr-ql-format-wrapper">
			<div class="dtr-ql-format"> <span class="dtr-ql-text"><?php echo esc_attr( $pf_link_text ) ?></span> <span class="dtr-quote-source"><?php echo esc_attr( $pf_link_url ) ?></span> </div>
		</div>
		<?php } ?>
		<?php endif; ?>
		<header class="dtr-entry-header entry-header">
			<?php get_template_part( '/template-parts/post/meta/blog-header-meta' ); ?>
			<?php get_template_part( '/template-parts/post/entry-title' ); ?>
			<?php get_template_part( '/template-parts/post/meta/blog-meta' ); ?>
		</header>
		<?php get_template_part( '/template-parts/post/single-content' );   ?>
		<?php get_template_part( '/template-parts/post/meta/blog-footer-meta' ); ?>
	</div>
</article>